Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## eu.osci
Enum OSCIHeaderTag

    java.lang.Object
      java.lang.Enum<OSCIHeaderTag>
          eu.osci.OSCIHeaderTag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OSCIHeaderTag>

    public enum OSCIHeaderTag

extends java.lang.Enum<OSCIHeaderTag>

The OSCI header tags.
Copyright © 2010 Freie Hansestadt Bremen.
Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG.
This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).

Enum Constant Summary
`DELIVERY_DEMAND` The QName for the OSCI 'DeliveryReceiptDemand' element.
`DELIVERY_RECEIPT` The QName for the OSCI 'DeliveryReceipt' element.
`FETCHED_NOTIFICATION_DEMAND` The QName for the OSCI 'FetchedNotificationDemand' element.
`MSGBOX_RESPONSE` The QName for the OSCI 'MsgBoxResponse' element.
`MSGTIMESTAMPS` The QName for the OSCI 'MsgTimeStamps' element.
`RECEIPT_DEMAND` The QName for the OSCI 'ReceptionReceiptDemand' element.
`TYPEOFBUSINESS` The QName for the OSCI 'TypeOfBusinessScenario' element.
`X509CONTAINER` The QName for the OSCI 'X509TokenContainer' element.

Method Summary
`javax.xml.namespace.QName` | `getValue()`
`static OSCIHeaderTag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OSCIHeaderTag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MSGTIMESTAMPS

    public static final OSCIHeaderTag MSGTIMESTAMPS

  The QName for the OSCI 'MsgTimeStamps' element.

### DELIVERY_DEMAND

    public static final OSCIHeaderTag DELIVERY_DEMAND

  The QName for the OSCI 'DeliveryReceiptDemand' element.

### RECEIPT_DEMAND

    public static final OSCIHeaderTag RECEIPT_DEMAND

  The QName for the OSCI 'ReceptionReceiptDemand' element.

### FETCHED_NOTIFICATION_DEMAND

    public static final OSCIHeaderTag FETCHED_NOTIFICATION_DEMAND

  The QName for the OSCI 'FetchedNotificationDemand' element.

### X509CONTAINER

    public static final OSCIHeaderTag X509CONTAINER

  The QName for the OSCI 'X509TokenContainer' element.

### TYPEOFBUSINESS

    public static final OSCIHeaderTag TYPEOFBUSINESS

  The QName for the OSCI 'TypeOfBusinessScenario' element.

### MSGBOX_RESPONSE

    public static final OSCIHeaderTag MSGBOX_RESPONSE

  The QName for the OSCI 'MsgBoxResponse' element.

### DELIVERY_RECEIPT

    public static final OSCIHeaderTag DELIVERY_RECEIPT

  The QName for the OSCI 'DeliveryReceipt' element.

Method Detail

### values

    public static OSCIHeaderTag[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OSCIHeaderTag c : OSCIHeaderTag.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OSCIHeaderTag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public javax.xml.namespace.QName getValue()

  Returns:
    The property value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Freie Hansestadt Bremen.